Subject: bug#4610: 23.1; VC commit buffer should list files to be committed

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 10 Dec 2009 11:54:53 -0800 (PST)

Tom Tromey <[email-masked]> writes:

  > Today I accidentally committed one file but not another one from
  > *vc-dir*.  That happened because point was on one file, not on the
  > containing directory as I'd thought.
  > 
  > It would be nice if the VC commit message buffer listed the files that
  > were going to be committed.  Such a list should automatically be
  > stripped out before being sent to the underlying command as the commit
  > message.

The list of files to be committed can be seen by using `log-edit-show-files'.
log-edit-hook can be configured to do it automatically.

On the other hand is it clear that showing such a list by default helps?
My personal experience with perforce (where files are listed in the
commit message by default -- and the list is editable) shows that the
same mistake is quite possible (and not infrequent) there.  IMMV...